<?php 
require_once('conecta.php');


//<!-- UPDATE CATEGORIA -->
if ($_GET['produtos'] == 1) { 
    

    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $nome_cat = $_POST['nome_cat'];
   // $descricao_cat = $_POST['descricao'];
    //$icone_cat = $_FILES['icone']['name'];


    if (!empty($_FILES['icone']['name'])) {
        $data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
        $hash = hash('md5', $data); // Gerar um hash MD5 da data


        $gerapixel = "_pixel_imagem_" . $hash . "";


        //$destino = 'images/usuarios/' . $usuario_up_id . $gerapixel . $nome;
        // obtendo o nome do arquivo de imagem enviado
        $icone_cat = $gerapixel . $_FILES['icone']['name'];

        $extensao = pathinfo($icone_cat, PATHINFO_EXTENSION);
        $icone_cat = pathinfo($icone_cat, PATHINFO_FILENAME);
        $icone_cat = preg_replace('/[^A-Za-z0-9\-]/', '', $icone_cat);
        $icone_cat = preg_replace('/[\-]+/', '-', $icone_cat);
        $icone_cat = str_replace(' ', '-', $icone_cat);
        $icone_cat = strtolower($icone_cat);
        $icone_cat .= '.' . $extensao;

        // movendo a imagem para a pasta de upload
        move_uploaded_file($_FILES['icone']['tmp_name'], "../images/gerais/" . $icone_cat);
   
    // Executa a query de update
    $sql = "UPDATE categorias_vagas SET nome_cat='$nome_cat', icone='$icone_cat' WHERE id= $idpagina";

    } else {
        $sql = "UPDATE categorias_vagas SET nome_cat='$nome_cat' WHERE id= $idpagina";

    }

    if (mysqli_query($conn, $sql)) {
    // Redireciona o usuário para a página de destino
    header('Location: ../categorias_vagas.php?status=ok&id=' . $idpagina . "" );
    exit;
    } else {
    echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão com o MySQL
    mysqli_close($conn);
    
    } 



// //<!-- DELETAR CATEGORIA -->
 if ($_GET['produtos'] == 2) { 
    

    $idpagina = $_GET['id'];


    // Delete the user with ID 123
    $sql = "DELETE FROM categorias_vagas WHERE id = $idpagina";
    if (mysqli_query($conn, $sql)) {
        header("location: ../categorias_vagas.php?apagou=ok");
    } else {
        echo "Error deleting user: " . mysqli_error($conn);
    }

    // Close the connection
    mysqli_close($conn);
    
 }  



//<!-- ADICIONAR CATEGORIA -->
 if ($_GET['produtos'] == 3) { 
    

    //Recuperando os dados do formulário
    //$id = $_POST["id"];
    $nome_cat = $_POST["nome_cat"];


    //Inserindo os dados na tabela "paginas"
    $sql = "INSERT INTO categorias_vagas (nome_cat) VALUES ('$nome_cat')";
    $resultado = mysqli_query($conn, $sql);

    if ($resultado) {
        // Redireciona o usuário para a página de destino
        header('Location: ../categorias_vagas.php?adicionado=ok' );
        exit;
    } else {
        echo "Erro ao inserir dados: " . mysqli_error($conn);
    }

    //Fechando a conexão com o banco de dados
    mysqli_close($conn);

    
 }  



//<!-- ADICIONAR PRODUTO -->
 if ($_GET['produtos'] == 4) { 
    
    //Recuperando os dados do formulário
    //$id = $_POST["id"];
    $nome = $_POST["nome"];
    $preco = $_POST["preco"];
    $categoria = $_POST["categoria"];
    $video = $_POST["video"];
    $descricao = $_POST["descricao"];


    //Inserindo os dados na tabela "paginas"
    $sql = "INSERT INTO produtos (nome, preco, categoria, video, descricao) VALUES ('$nome', '$preco', '$categoria', '$video', '$descricao')";
    $resultado = mysqli_query($conn, $sql);

    if ($resultado) {
        // Redireciona o usuário para a página de destino
        header('Location: ../produtos.php?adicionado=ok' );
        exit;
    } else {
        echo "Erro ao inserir dados: " . mysqli_error($conn);
    }

    //Fechando a conexão com o banco de dados
    mysqli_close($conn);

    
 }  


//<!-- UPDATE PRODUTO -->
 if ($_GET['produtos'] == 5) { 
    

    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $nome = $_POST['nome'];
    $preco = $_POST['preco'];
    $categoria = $_POST['categoria'];
    $video = $_POST['video'];
    $descricao = $_POST['descricao'];


    // Executa a query de update
    $sql = "UPDATE 
        produtos
    SET 
        nome='$nome',
        preco='$preco', 
        categoria='$categoria', 
        video='$video', 
        descricao='$descricao'
    WHERE 
        id= $idpagina";

    if (mysqli_query($conn, $sql)) {
    // Redireciona o usuário para a página de destino
    header('Location: ../produto_update.php?atualizado=ok&id=' . $idpagina . "" );
    exit;
    } else {
    echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão com o MySQL
    mysqli_close($conn);
    

 }  



//<!-- IMAGEM CAPA -->

 if ($_GET['produtos'] == 6) { 


$idpagina = $_GET['id'];

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";


//$destino = 'images/usuarios/' . $usuario_up_id . $gerapixel . $nome;
// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['imagem_capa']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['imagem_capa']['tmp_name'], "../images/gerais/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE produtos SET 
        imagem_capa='$logo_nome'
        WHERE id= $idpagina";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
    // Redireciona o usuário para a página de destino
    header('Location: ../produto_update.php?imagem=ok&id=' . $idpagina . "" );
    exit;
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// fechando a conexão com o banco de dados
$conn->close();

 }  


//<!-- DELETAR PRODUTO -->
 if ($_GET['produtos'] == 7) { 


    $idpagina = $_GET['id'];

    // Delete the user with ID 123
    $sql = "DELETE FROM produtos WHERE id = $idpagina";
    if (mysqli_query($conn, $sql)) {
        header("location: ../produtos.php?apagou=ok");
    } else {
        echo "Error deleting user: " . mysqli_error($conn);
    }

    // Close the connection
    mysqli_close($conn);


 }  


//<!-- SALVAR IMAGENS EXTRAS -->
 if ($_GET['produtos'] == 8) { 



$idpagina = $_GET['id'];

if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_FILES['imagens'])){
    $num_files = count($_FILES['imagens']['name']);
    $upload_directory = '../images/gerais/';

   

    for($i=0; $i<$num_files; $i++){
        $file_name = $_FILES['imagens']['name'][$i];
        $file_tmp = $_FILES['imagens']['tmp_name'][$i];
        $file_type = $_FILES['imagens']['type'][$i];
        $file_size = $_FILES['imagens']['size'][$i];

        $file_extension = strtolower(pathinfo($file_name, PATHINFO_EXTENSION));
        $allowed_extensions = array('jpg', 'jpeg', 'png', 'gif');

        if(in_array($file_extension, $allowed_extensions)){
            $new_file_name = uniqid('img_').".".$file_extension;
            $destination = $upload_directory.$new_file_name;




            if(move_uploaded_file($file_tmp, $destination)){
                // Insere o registro no banco de dados
                $sql = "INSERT INTO imagens_produto (nome_arquivo, produto, caminho_arquivo) VALUES ('".$new_file_name."', '".$idpagina."', '".$destination."')";
                if ($conn->query($sql) === TRUE) {
                    header('Location: ../produto_update.php?imagens=ok&id=' . $idpagina . "" );
                } else {
                    header('Location: ../produto_update.php?erro=ok&id=' . $idpagina . "" );
                }
            }
            else{
                header('Location: ../produto_update.php?erro=ok&id=' . $idpagina . "" );
            }
        }
        else{
            header('Location: ../produto_update.php?extensao=ok&id=' . $idpagina . "" );
        }
    }
    
    // Fecha a conexão com o banco de dados
    $conn->close();
}


 }  



//<!-- APAGAR IMAGENS EXTRAS -->
 if ($_GET['produtos'] == 9) { 


 $idpagina = $_GET['id'];

//verifique se o formulário foi enviado
if (isset($_POST['submit'])) {
    
            
    //verifique quais imagens foram selecionadas para exclusão
    if (!empty($_POST['imagens_produto'])) {
        foreach ($_POST['imagens_produto'] as $imagem_id) {
            //delete a imagem da tabela do banco de dados
            $sql = "DELETE FROM imagens_produto WHERE id = $imagem_id";
            mysqli_query($conn, $sql);
        }
        header('Location: ../produto_update.php?imgapagada=ok&id=' . $idpagina . "" );
    } else {
        header('Location: ../produto_update.php?imgnao=ok&id=' . $idpagina . "" );
    }
    
    //feche a conexão com o banco de dados
    mysqli_close($conn);
}


 }  



//<!-- IMAGEM CAPA CATEGORIA -->
 if ($_GET['produtos'] == 10) { 


$idpagina = $_GET['id'];

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";


//$destino = 'images/usuarios/' . $usuario_up_id . $gerapixel . $nome;
// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['imagem_capa']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['imagem_capa']['tmp_name'], "../images/gerais/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE categorias_produtos SET 
        imagem_capa='$logo_nome'
        WHERE id= $idpagina";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
    // Redireciona o usuário para a página de destino
    header('Location: ../categorias_produtos_update.php?imagem=ok&id=' . $idpagina . "" );
    exit;
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// fechando a conexão com o banco de dados
$conn->close();

 }  